Index: pom.xml
===================================================================
--- pom.xml	(revision 43829)
+++ pom.xml	(revision 43830)
@@ -1,102 +1,101 @@
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <parent>
+    <modelVersion>4.0.0</modelVersion>
+    <parent>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.geometry.app</artifactId>
+        <version>3.0.0-SNAPSHOT</version>
+    </parent>
     <groupId>org.gvsig</groupId>
-    <artifactId>org.gvsig.geometry.app</artifactId>
-    <version>2.0.221-SNAPSHOT</version>
-  </parent>
-  <groupId>org.gvsig</groupId>
-  <artifactId>org.gvsig.geometry.app.jts</artifactId>
-  <version>2.0.221-SNAPSHOT</version>
-  <name>${project.artifactId}</name>
-  <description>This project has the geometries library for use in the application based on the use of JTS library</description>
+    <artifactId>org.gvsig.geometry.app.jts</artifactId>
+    <name>${project.artifactId}</name>
+    <description>This project has the geometries library for use in the application based on the use of JTS library</description>
     <repositories>
-    <repository>
-      <id>osgeo</id>
-      <name>Open Source Geospatial Foundation</name>
-      <url>http://download.osgeo.org/webdav/geotools</url>
-      <releases>
-        <enabled>true</enabled>
-        <updatePolicy>never</updatePolicy>
-        <checksumPolicy>warn</checksumPolicy>
-      </releases>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-    </repository>
-    <repository>
-      <id>Hibernate Spatial repo</id>
-      <url>http://www.hibernatespatial.org/repository</url>
-      <releases>
-        <enabled>true</enabled>
-        <updatePolicy>never</updatePolicy>
-        <checksumPolicy>warn</checksumPolicy>
-      </releases>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-    </repository>
-  </repositories>
+        <repository>
+            <id>osgeo</id>
+            <name>Open Source Geospatial Foundation</name>
+            <url>http://download.osgeo.org/webdav/geotools</url>
+            <releases>
+                <enabled>true</enabled>
+                <updatePolicy>never</updatePolicy>
+                <checksumPolicy>warn</checksumPolicy>
+            </releases>
+            <snapshots>
+                <enabled>false</enabled>
+            </snapshots>
+        </repository>
+        <repository>
+            <id>Hibernate Spatial repo</id>
+            <url>http://www.hibernatespatial.org/repository</url>
+            <releases>
+                <enabled>true</enabled>
+                <updatePolicy>never</updatePolicy>
+                <checksumPolicy>warn</checksumPolicy>
+            </releases>
+            <snapshots>
+                <enabled>false</enabled>
+            </snapshots>
+        </repository>
+    </repositories>
 
-  <dependencies>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.andami</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.i18n</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.geometry.api</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.geometry.jts</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.geometry.operation.jts</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>org.slf4j</groupId>
-      <artifactId>slf4j-api</artifactId>
-      <scope>compile</scope>
-    </dependency>
+    <dependencies>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.andami</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.i18n</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.fmap.geometry.api</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.fmap.geometry.jts</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.fmap.geometry.operation.jts</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+            <scope>compile</scope>
+        </dependency>
 
-    <dependency>
-      <groupId>com.vividsolutions</groupId>
-      <artifactId>jts</artifactId>
-      <scope>runtime</scope>
-    </dependency>
+        <dependency>
+            <groupId>com.vividsolutions</groupId>
+            <artifactId>jts</artifactId>
+            <scope>runtime</scope>
+        </dependency>
 
-    <dependency>
-      <groupId>org.hibernate</groupId>
-      <artifactId>hibernate-spatial</artifactId>
-      <version>4.0</version>
-      <scope>runtime</scope>
-    </dependency>
+        <dependency>
+            <groupId>org.hibernate</groupId>
+            <artifactId>hibernate-spatial</artifactId>
+            <version>4.0</version>
+            <scope>runtime</scope>
+        </dependency>
 
-                <dependency>
-                <groupId>net.sf</groupId>
-                <artifactId>jsi</artifactId>
-                <version>unknown</version>
-            </dependency>
+        <dependency>
+            <groupId>net.sf</groupId>
+            <artifactId>jsi</artifactId>
+            <version>unknown</version>
+        </dependency>
 
-            <dependency>
-    <groupId>gnu.trove</groupId>
-    <artifactId>trove</artifactId>
-    <scope>runtime</scope>
-    </dependency>
-  </dependencies>
+        <dependency>
+            <groupId>gnu.trove</groupId>
+            <artifactId>trove</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+    </dependencies>
 
-  <properties>
-    <gvsig.package.info.name>Geometry Support (JTS)</gvsig.package.info.name>
-    <gvsig.package.info.dependencies>required: org.gvsig.projection.app.mainplugin -ge 1</gvsig.package.info.dependencies>
-    <gvsig.package.info.codealias>org.gvsig.geometry.app.mainplugin</gvsig.package.info.codealias>
-    <gvsig.package.info.official>true</gvsig.package.info.official>
-    <gvsig.install.plugin>true</gvsig.install.plugin>
-  </properties>
+    <properties>
+        <gvsig.package.info.name>Geometry Support (JTS)</gvsig.package.info.name>
+        <gvsig.package.info.dependencies>required: org.gvsig.projection.app.mainplugin -ge 1</gvsig.package.info.dependencies>
+        <gvsig.package.info.codealias>org.gvsig.geometry.app.mainplugin</gvsig.package.info.codealias>
+        <gvsig.package.info.official>true</gvsig.package.info.official>
+        <gvsig.install.plugin>true</gvsig.install.plugin>
+    </properties>
 
-</project>
\ No newline at end of file
+</project>