Index: pom.xml
===================================================================
--- pom.xml	(revision 43829)
+++ pom.xml	(revision 43830)
@@ -1,157 +1,157 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <artifactId>org.gvsig.projection.app.proj4j</artifactId>
-  <packaging>jar</packaging>
-  <name>CRS: basic management (Proj4J based, java)</name>
-  <description>Basic CRS management implementation based on the Proj4J java library. 
-Provides basic management of CRS with features such as:
-- Allows setting the coordinate reference system (CRS), by default, in views and layers.
-- Allows the selection of CRS based on authority (EPSG, ESRI, WORLD, NAD83 and NAD27) and code.
-- Shows CRS definition based on the proj4 string.
-- Supports conversion of coordinates (no datum changing).
-- Supports transformation of coordinates (datum changing).
-</description>
-  <parent>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.projection.app</artifactId>
-      <version>2.0.221-SNAPSHOT</version>
-  </parent>
+    <modelVersion>4.0.0</modelVersion>
+    <artifactId>org.gvsig.projection.app.proj4j</artifactId>
+    <packaging>jar</packaging>
+    <name>${project.artifactId}</name>
+    <description>Basic CRS management implementation based on the Proj4J java library. 
+        Provides basic management of CRS with features such as:
+        - Allows setting the coordinate reference system (CRS), by default, in views and layers.
+        - Allows the selection of CRS based on authority (EPSG, ESRI, WORLD, NAD83 and NAD27) and code.
+        - Shows CRS definition based on the proj4 string.
+        - Supports conversion of coordinates (no datum changing).
+        - Supports transformation of coordinates (datum changing).
+    </description>
+    <parent>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.projection.app</artifactId>
+        <version>3.0.0-SNAPSHOT</version>
+    </parent>
   
     
     <repositories>
-      <repository>
-          <id>osgeo</id>
-          <name>Open Source Geospatial Foundation</name>
-          <url>http://download.osgeo.org/webdav/geotools</url>
-          <releases>
-              <enabled>true</enabled>
-              <updatePolicy>never</updatePolicy>
-              <checksumPolicy>warn</checksumPolicy>
-          </releases>
-          <snapshots>
-              <enabled>false</enabled>
-          </snapshots>
-      </repository>
+        <repository>
+            <id>osgeo</id>
+            <name>Open Source Geospatial Foundation</name>
+            <url>http://download.osgeo.org/webdav/geotools</url>
+            <releases>
+                <enabled>true</enabled>
+                <updatePolicy>never</updatePolicy>
+                <checksumPolicy>warn</checksumPolicy>
+            </releases>
+            <snapshots>
+                <enabled>false</enabled>
+            </snapshots>
+        </repository>
     </repositories>
   
   
-  <dependencies>
+    <dependencies>
 
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.andami</artifactId>
-          <scope>compile</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.i18n</artifactId>
-          <scope>compile</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.slf4j</groupId>
-          <artifactId>slf4j-api</artifactId>
-          <scope>compile</scope>
-      </dependency>
-      <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.proj.lib.proj4j</artifactId>
-        <scope>compile</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.proj.lib.api</artifactId>
-	      <scope>compile</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.projection.cresques.ui</artifactId>
-          <scope>compile</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.projection.cresques.impl</artifactId>
-          <scope>compile</scope>
-      </dependency>
-      <dependency>
-          <groupId>org.gvsig</groupId>
-          <artifactId>org.gvsig.projection.api</artifactId>
-          <scope>compile</scope>
-      </dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.proj.swing.api</artifactId>
-			<scope>compile</scope>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.proj.swing.impl</artifactId>
-			<scope>runtime</scope>
-		</dependency>      
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.andami</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.i18n</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.proj.lib.proj4j</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.proj.lib.api</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.cresques.ui</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.cresques.impl</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.projection.api</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.proj.swing.api</artifactId>
+            <scope>compile</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.gvsig</groupId>
+            <artifactId>org.gvsig.proj.swing.impl</artifactId>
+            <scope>runtime</scope>
+        </dependency>      
       
-      <dependency>
-        <groupId>org.opengis</groupId>
-        <artifactId>geoapi</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>javax.media</groupId>
-        <artifactId>jai_core</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>javax.media</groupId>
-        <artifactId>jai_codec</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>geojava</groupId>
-        <artifactId>geojava</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>org.geotools</groupId>
-        <artifactId>gt2-legacy</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>org.geotools</groupId>
-        <artifactId>gt2-main</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>org.geotools</groupId>
-        <artifactId>gt2-referencing</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>commons-dbcp</groupId>
-        <artifactId>commons-dbcp</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-      <dependency>
-        <groupId>commons-collections</groupId>
-        <artifactId>commons-collections</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-     <dependency>
-         <groupId>javax.units</groupId>
-         <artifactId>jsr108</artifactId>
-         <scope>runtime</scope>
-       </dependency>
+        <dependency>
+            <groupId>org.opengis</groupId>
+            <artifactId>geoapi</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>javax.media</groupId>
+            <artifactId>jai_core</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>javax.media</groupId>
+            <artifactId>jai_codec</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>geojava</groupId>
+            <artifactId>geojava</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.geotools</groupId>
+            <artifactId>gt2-legacy</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.geotools</groupId>
+            <artifactId>gt2-main</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.geotools</groupId>
+            <artifactId>gt2-referencing</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>commons-dbcp</groupId>
+            <artifactId>commons-dbcp</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>commons-collections</groupId>
+            <artifactId>commons-collections</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+        <dependency>
+            <groupId>javax.units</groupId>
+            <artifactId>jsr108</artifactId>
+            <scope>runtime</scope>
+        </dependency>
 
-      <dependency>
-        <groupId>org.osgeo</groupId>
-        <artifactId>proj4j</artifactId>
-        <scope>runtime</scope>
-      </dependency>
-  </dependencies>
+        <dependency>
+            <groupId>org.osgeo</groupId>
+            <artifactId>proj4j</artifactId>
+            <scope>runtime</scope>
+        </dependency>
+    </dependencies>
 
-  <properties>
-      <gvsig.package.info.codealias>org.gvsig.projection.app.mainplugin</gvsig.package.info.codealias>
-	  <gvsig.package.info.official>true</gvsig.package.info.official>
-	  <gvsig.package.info.dependencies>conflict: org.gvsig.projection.app.cresques -ge 1, conflict: org.gvsig.projection.app.jcrs -ge 1</gvsig.package.info.dependencies>
-  </properties>
+    <properties>
+        <gvsig.package.info.name>CRS: basic management (Proj4J based, java)</gvsig.package.info.name>
+        <gvsig.package.info.official>true</gvsig.package.info.official>
+        <gvsig.package.info.dependencies>conflict: org.gvsig.projection.app.cresques -ge 1, conflict: org.gvsig.projection.app.jcrs -ge 1</gvsig.package.info.dependencies>
+    </properties>
 
 </project>
 