Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/editing/memory/MemoryEditingManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/editing/memory/MemoryEditingManager.java	(revision 43966)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/editing/memory/MemoryEditingManager.java	(revision 43967)
@@ -2,6 +2,7 @@
 package org.gvsig.fmap.dal.feature.impl.editing.memory;
 
 import java.util.Iterator;
+import java.util.List;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.Feature;
 import org.gvsig.fmap.dal.feature.FeatureReference;
@@ -86,7 +87,7 @@
     }
 
     @Override
-    public Iterator<FeatureStoreProvider.FeatureTypeChanged> getFeatureTypesChanged() throws DataException {
+    public List<FeatureStoreProvider.FeatureTypeChanged> getFeatureTypesChanged() throws DataException {
         return this.featureTypeManager.getFeatureTypesChanged();
     }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/editing/memory/FeatureTypeManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/editing/memory/FeatureTypeManager.java	(revision 43966)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/editing/memory/FeatureTypeManager.java	(revision 43967)
@@ -440,15 +440,19 @@
 
     }
 
-    public Iterator getFeatureTypesChanged() throws DataException {
+    public List<FeatureTypeChanged> getFeatureTypesChanged() throws DataException {
         // FIXME this don't work for Store.fType.size() > 1
         List list = new ArrayList();
         if (modifiedFromOriginal.size() > 0) {
             FeatureType src = this.getOriginalFeatureType();
-            list.add(new FeatureTypesChangedItem(src, this.store
-                    .getFeatureType(src.getId())));
+            list.add(
+                    new FeatureTypesChangedItem(
+                            src, 
+                            this.store.getFeatureType(src.getId())
+                    )
+            );
         }
-        return list.iterator();
+        return list;
     }
 
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/DefaultEditableFeatureAttributeDescriptor.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/DefaultEditableFeatureAttributeDescriptor.java	(revision 43966)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/DefaultEditableFeatureAttributeDescriptor.java	(revision 43967)
@@ -204,10 +204,13 @@
         return this;
     }
 
+    @Override
     public EditableFeatureAttributeDescriptor setName(String name) {
         if (originalName == null) {
             originalName = this.name;
-            hasStrongChanges = true;
+            if (!isComputed()) {
+                hasStrongChanges = true;
+            }
         }
         this.name = name;
         if (!isComputed()) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/DefaultFeatureStore.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/DefaultFeatureStore.java	(revision 43966)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/DefaultFeatureStore.java	(revision 43967)
@@ -1467,7 +1467,7 @@
                     provider.performChanges(featureManager.getDeleted(),
                         featureManager.getInserted(),
                         featureManager.getUpdated(),
-                        featureTypeManager.getFeatureTypesChanged());
+                        removeCalculatedAttributes(featureTypeManager.getFeatureTypesChanged()).iterator());
                 }  
                 saveDALFile();
                 exitEditingMode();
@@ -1481,6 +1481,12 @@
             throw new FinishEditingException(e);
         }
     }
+    
+    private List<FeatureStoreProvider.FeatureTypeChanged> removeCalculatedAttributes(List<FeatureStoreProvider.FeatureTypeChanged> ftypes) {
+        // FIXME: Falta por implementar
+        return ftypes;
+    }
+    
 
     @SuppressWarnings("UseSpecificCatch")
     private void saveDALFile() {       
@@ -1559,7 +1565,7 @@
             provider.performChanges(featureManager.getDeleted(),
               featureManager.getInserted(),
               featureManager.getUpdated(),
-              featureTypeManager.getFeatureTypesChanged());
+              removeCalculatedAttributes(featureTypeManager.getFeatureTypesChanged()).iterator());
           }
           invalidateIndexes();
           featureManager = new FeatureManager();
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/EditingManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/EditingManager.java	(revision 43966)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/feature/impl/EditingManager.java	(revision 43967)
@@ -2,6 +2,7 @@
 package org.gvsig.fmap.dal.feature.impl;
 
 import java.util.Iterator;
+import java.util.List;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.Feature;
 import org.gvsig.fmap.dal.feature.FeatureReference;
@@ -63,7 +64,7 @@
     public Iterator<FeatureProvider> getInsertedFeatures();
     public Iterator<FeatureProvider> getUpdatedFeatures();
     
-    public Iterator<FeatureTypeChanged> getFeatureTypesChanged() throws DataException;
+    public List<FeatureTypeChanged> getFeatureTypesChanged() throws DataException;
     
     public FeatureType getFeatureType(String id) throws DataException ;
     